Freeciv-3.1: Data Fields

Freeciv-3.1

Loading...
Searching...
No Matches
Here is a list of all struct and union fields with links to the structures/unions they belong to:

### - l -

- l_arrow_icon : theme_icons
- lab_abstain : pregamevote
- lab_no : pregamevote
- lab_table : city_dialog
- lab_yes : pregamevote
- label : economy_report, gui_dialog, notify_dialog, notify_goto_dialog, packet_edit_tile, packet_tile_info, tile, voteinfo_bar
- label_dst : rates_move
- label_info_active : unittype_item
- label_info_inbuild : unittype_item
- label_info_unit : unittype_item
- label_pix : unittype_item
- label_src : rates_move
- label_text : pregamevote
- label_vote_text : pregamevote
- lake_flooding : packet_edit_game, packet_scenario_info
- lake_max_size : packet_ruleset_terrain_control
- lan_scan_timer : fc_client
- lan_widget : fc_client
- land_channel_requirement_pct : packet_ruleset_terrain_control
- land_done : adv_data
- land_move : unit_class
- land_num_thresholds : city_sprite
- land_scale : pft_amphibious
- land_thresholds : city_sprite
- landarea : claim_map, player_score
- landpercent : civ_map
- last : netfile_post
- last_activities : ai_type
- last_buttons_stack : choice_dialog
- last_index : races_dialog
- last_num_continents : ai_plr
- last_num_oceans : ai_plr
- last_ping : civ_game
- last_processed_request_id_seen : connection
- last_request_id_seen : connection
- last_request_id_used : connection
- last_size : info_tab
- last_turn : logging_civ_score
- last_turn_change_time : packet_timeout_info
- last_turns_shield_surplus : city, packet_city_info
- last_updated : player_tile
- last_updated_year : civ_game
- last_war_action : player
- last_write : connection
- lattice : cm_state, pf_danger_map, pf_fuel_map, pf_normal_map
- lattice_by_prod : cm_state
- lattice_depth : cm_tile_type
- lattice_index : cm_tile_type
- launch() : ss_report
- launch_button : ss_report
- launch_now() : ruledit_gui
- launch_year : packet_spaceship_info, player_spaceship
- layer : drawing_data, tree_node
- layer_order : tileset
- layer_size : reqtree
- layers : mapdef, overview, reqtree, tileset
- layout : choice_dialog, city_report, diplo_wdg, fc_sidebar, goto_dialog, impr_info, info_tab, message_dlg, messagewdg, notify_dialog, plr_report, pregamevote, unit_actions, unit_info, units_reports
- lcity_name : city_dialog
- leader_count : packet_ruleset_nation
- leader_is_male : packet_ruleset_nation
- leader_name : packet_ruleset_nation, races_dialog
- leader_selected() : races_dialog
- leader_sex : nation_info
- leaders : nation_type
- leaveEvent() : fc_sidewidget, hud_action, hud_unit_combat, impr_item, map_view, messagewdg, unit_item, unittype_item
- left : unit_node
- left_click : fc_sidewidget
- left_clicked() : click_label, hud_action
- left_icon : theme_icons
- left_layout : city_dialog
- leftbot_layout : city_dialog
- legend : nation_type, packet_ruleset_nation
- len : packet_page_msg
- length : attribute_block_s, city, global_worklist, packet_city_rally_point, packet_header, packet_unit_orders, pf_path, unit, worklist
- lessThan() : city_sort_model, plr_sorter
- letter : cf_sequence
- level : agent, command
- levels : veteran_system
- lhuc : hud_battle_log
- life_support : packet_spaceship_info, player_spaceship
- line_count : gotoline_counter
- line_edit() : line_edit
- line_num : inputfile
- lines : notify_goto_data, packet_page_msg_part, trade_generator
- link : text_tag
- link_me() : help_widget
- links : cargo_iter
- list : citizens_dialog, unit
- list_model : city_widget, plr_widget, production_widget
- list_url : fcmp_params
- list_widget : effect_edit
- listen() : listener< _type_ >
- listener() : listener< _type_ >
- literacy : player_score
- lo : MD5_CTX
- load : compatibility, unit_item
- load_filename : packet_game_load, server_arguments
- load_game_button : CONNLIST
- load_gfxfile : gui_funcs
- load_gfxnumber : gui_funcs
- load_icon : theme_icons
- load_new_tileset() : mr_menu
- load_pix : fc_client
- load_save_text : fc_client
- load_successful : packet_game_load
- load_unit() : unit_item
- loaded : named_sprites
- local_copy : fix_enabler_item
- local_options() : mr_menu
- location : startpos, vision_site
- location_ok : message
- lock : city_dialog
- lock_icon : theme_icons
- lock_status : mr_menu
- locked : setting
- log_cb : rscompat_info
- log_filename : server_arguments
- log_fragment_city : ai_type
- log_fragment_unit : ai_type
- log_icon : theme_icons
- log_macro : generate_packets.Packet, generate_packets.Variant
- logger : els_data
- loglevel : server_arguments
- longarg : cmdarg
- loop : blocking_dialog_data
- loser_hp_start : animation
- loser_tile : animation
- lost_control : ai_type
- love : packet_player_info, player_ai
- love_coeff : ai_plr
- love_incr : ai_plr
- low_firepower : unit_type_ai
- low_firepower_badwallattacker : packet_game_info
- low_firepower_combat_bonus : packet_game_info
- low_firepower_nonnat_bombard : packet_game_info
- low_firepower_pearl_harbour : packet_game_info
- lowfuel : named_sprites
- lsend_prototype : generate_packets.Packet
- luadata : civ_game
- luxury : packet_edit_player, packet_player_info, packet_player_rates, player_economic
- luxury_priority : adv_data